package com.example.quartz;

import org.quartz.*;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @ClassName CollectorConfig
 * @Description 采集器轮询任务
 * @Author linjj
 * @Date 2024/8/2 14:45
 * @Version 1.0
 */
@Configuration
public class CollectorConfig {

    @Value("${medicalAdviceTime}")
    private String medicalAdviceTime;

    @Bean
    public JobDetail MedicalAdvice() {
        return JobBuilder.newJob(MedicalAdviceQuartz.class).withIdentity("MedicalAdviceQuartz").storeDurably().build();
    }


    @Bean
    public Trigger pacsPushTrigger() {

        return TriggerBuilder.newTrigger().forJob(MedicalAdvice())

                .withIdentity("MedicalAdviceQuartz")
                .withSchedule(CronScheduleBuilder.cronSchedule(medicalAdviceTime))
                .build();

    }
}
